Skip to main content
`Ctrl`+`K`

# PetscViewerGetFormat

Gets the current format for `PetscViewer`.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscViewerGetFormat(PetscViewer viewer, PetscViewerFormat *format)

Not Collective

## Input Parameter

- viewer - the `PetscViewer`

## Output Parameter

- format - the format

## Note

See `PetscViewerFormat` for available values

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerASCIIOpen()`, `PetscViewerBinaryOpen()`, `MatView()`, `VecView()`, `PetscViewerType`, `PetscViewerPushFormat()`, `PetscViewerPopFormat()`, `PetscViewerDrawOpen()`, `PetscViewerSocketOpen()`

## Level

intermediate

## Location

src/sys/classes/viewer/interface/viewa.c

## Examples

src/dm/impls/plex/tutorials/ex19.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages